import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface ServiceEventRuleConfig extends cdktf.TerraformMetaArguments {
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/pagerduty/r/service_event_rule#disabled ServiceEventRule#disabled}.
     *
     * @stability stable
     */
    readonly disabled?: boolean | cdktf.IResolvable;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/pagerduty/r/service_event_rule#position ServiceEventRule#position}.
     *
     * @stability stable
     */
    readonly position?: number;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/pagerduty/r/service_event_rule#service ServiceEventRule#service}.
     *
     * @stability stable
     */
    readonly service: string;
    /**
     * actions block.
     *
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/pagerduty/r/service_event_rule#actions ServiceEventRule#actions}
     *
     * @stability stable
     */
    readonly actions?: ServiceEventRuleActions;
    /**
     * conditions block.
     *
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/pagerduty/r/service_event_rule#conditions ServiceEventRule#conditions}
     *
     * @stability stable
     */
    readonly conditions?: ServiceEventRuleConditions;
    /**
     * time_frame block.
     *
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/pagerduty/r/service_event_rule#time_frame ServiceEventRule#time_frame}
     *
     * @stability stable
     */
    readonly timeFrame?: ServiceEventRuleTimeFrame;
    /**
     * variable block.
     *
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/pagerduty/r/service_event_rule#variable ServiceEventRule#variable}
     *
     * @stability stable
     */
    readonly variable?: ServiceEventRuleVariable[] | cdktf.IResolvable;
}
/**
 * @stability stable
 */
export interface ServiceEventRuleActionsAnnotate {
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/pagerduty/r/service_event_rule#value ServiceEventRule#value}.
     *
     * @stability stable
     */
    readonly value?: string;
}
export declare function serviceEventRuleActionsAnnotateToTerraform(struct?: ServiceEventRuleActionsAnnotate | cdktf.IResolvable): any;
/**
 * @stability stable
 */
export interface ServiceEventRuleActionsEventAction {
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/pagerduty/r/service_event_rule#value ServiceEventRule#value}.
     *
     * @stability stable
     */
    readonly value?: string;
}
export declare function serviceEventRuleActionsEventActionToTerraform(struct?: ServiceEventRuleActionsEventAction | cdktf.IResolvable): any;
/**
 * @stability stable
 */
export interface ServiceEventRuleActionsExtractions {
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/pagerduty/r/service_event_rule#regex ServiceEventRule#regex}.
     *
     * @stability stable
     */
    readonly regex?: string;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/pagerduty/r/service_event_rule#source ServiceEventRule#source}.
     *
     * @stability stable
     */
    readonly source?: string;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/pagerduty/r/service_event_rule#target ServiceEventRule#target}.
     *
     * @stability stable
     */
    readonly target?: string;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/pagerduty/r/service_event_rule#template ServiceEventRule#template}.
     *
     * @stability stable
     */
    readonly template?: string;
}
export declare function serviceEventRuleActionsExtractionsToTerraform(struct?: ServiceEventRuleActionsExtractions | cdktf.IResolvable): any;
/**
 * @stability stable
 */
export interface ServiceEventRuleActionsPriority {
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/pagerduty/r/service_event_rule#value ServiceEventRule#value}.
     *
     * @stability stable
     */
    readonly value?: string;
}
export declare function serviceEventRuleActionsPriorityToTerraform(struct?: ServiceEventRuleActionsPriority | cdktf.IResolvable): any;
/**
 * @stability stable
 */
export interface ServiceEventRuleActionsSeverity {
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/pagerduty/r/service_event_rule#value ServiceEventRule#value}.
     *
     * @stability stable
     */
    readonly value?: string;
}
export declare function serviceEventRuleActionsSeverityToTerraform(struct?: ServiceEventRuleActionsSeverity | cdktf.IResolvable): any;
/**
 * @stability stable
 */
export interface ServiceEventRuleActionsSuppress {
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/pagerduty/r/service_event_rule#threshold_time_amount ServiceEventRule#threshold_time_amount}.
     *
     * @stability stable
     */
    readonly thresholdTimeAmount?: number;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/pagerduty/r/service_event_rule#threshold_time_unit ServiceEventRule#threshold_time_unit}.
     *
     * @stability stable
     */
    readonly thresholdTimeUnit?: string;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/pagerduty/r/service_event_rule#threshold_value ServiceEventRule#threshold_value}.
     *
     * @stability stable
     */
    readonly thresholdValue?: number;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/pagerduty/r/service_event_rule#value ServiceEventRule#value}.
     *
     * @stability stable
     */
    readonly value?: boolean | cdktf.IResolvable;
}
export declare function serviceEventRuleActionsSuppressToTerraform(struct?: ServiceEventRuleActionsSuppress | cdktf.IResolvable): any;
/**
 * @stability stable
 */
export interface ServiceEventRuleActionsSuspend {
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/pagerduty/r/service_event_rule#value ServiceEventRule#value}.
     *
     * @stability stable
     */
    readonly value?: number;
}
export declare function serviceEventRuleActionsSuspendToTerraform(struct?: ServiceEventRuleActionsSuspend | cdktf.IResolvable): any;
/**
 * @stability stable
 */
export interface ServiceEventRuleActions {
    /**
     * annotate block.
     *
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/pagerduty/r/service_event_rule#annotate ServiceEventRule#annotate}
     *
     * @stability stable
     */
    readonly annotate?: ServiceEventRuleActionsAnnotate[] | cdktf.IResolvable;
    /**
     * event_action block.
     *
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/pagerduty/r/service_event_rule#event_action ServiceEventRule#event_action}
     *
     * @stability stable
     */
    readonly eventAction?: ServiceEventRuleActionsEventAction[] | cdktf.IResolvable;
    /**
     * extractions block.
     *
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/pagerduty/r/service_event_rule#extractions ServiceEventRule#extractions}
     *
     * @stability stable
     */
    readonly extractions?: ServiceEventRuleActionsExtractions[] | cdktf.IResolvable;
    /**
     * priority block.
     *
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/pagerduty/r/service_event_rule#priority ServiceEventRule#priority}
     *
     * @stability stable
     */
    readonly priority?: ServiceEventRuleActionsPriority[] | cdktf.IResolvable;
    /**
     * severity block.
     *
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/pagerduty/r/service_event_rule#severity ServiceEventRule#severity}
     *
     * @stability stable
     */
    readonly severity?: ServiceEventRuleActionsSeverity[] | cdktf.IResolvable;
    /**
     * suppress block.
     *
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/pagerduty/r/service_event_rule#suppress ServiceEventRule#suppress}
     *
     * @stability stable
     */
    readonly suppress?: ServiceEventRuleActionsSuppress[] | cdktf.IResolvable;
    /**
     * suspend block.
     *
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/pagerduty/r/service_event_rule#suspend ServiceEventRule#suspend}
     *
     * @stability stable
     */
    readonly suspend?: ServiceEventRuleActionsSuspend[] | cdktf.IResolvable;
}
export declare function serviceEventRuleActionsToTerraform(struct?: ServiceEventRuleActionsOutputReference | ServiceEventRuleActions): any;
/**
 * @stability stable
 */
export declare class ServiceEventRuleActionsOutputReference extends cdktf.ComplexObject {
    private isEmptyObject;
    /**
     * @param terraformResource The parent resource.
     * @param terraformAttribute The attribute on the parent resource this class is referencing.
     * @param isSingleItem True if this is a block, false if it's a list.
     * @stability stable
     */
    constructor(terraformResource: cdktf.IInterpolatingParent, terraformAttribute: string, isSingleItem: boolean);
    /**
     * @stability stable
     */
    get internalValue(): ServiceEventRuleActions | undefined;
    /**
     * @stability stable
     */
    set internalValue(value: ServiceEventRuleActions | undefined);
    private _annotate?;
    /**
     * @stability stable
     */
    get annotate(): ServiceEventRuleActionsAnnotate[] | cdktf.IResolvable;
    /**
     * @stability stable
     */
    set annotate(value: ServiceEventRuleActionsAnnotate[] | cdktf.IResolvable);
    /**
     * @stability stable
     */
    resetAnnotate(): void;
    /**
     * @stability stable
     */
    get annotateInput(): cdktf.IResolvable | ServiceEventRuleActionsAnnotate[] | undefined;
    private _eventAction?;
    /**
     * @stability stable
     */
    get eventAction(): ServiceEventRuleActionsEventAction[] | cdktf.IResolvable;
    /**
     * @stability stable
     */
    set eventAction(value: ServiceEventRuleActionsEventAction[] | cdktf.IResolvable);
    /**
     * @stability stable
     */
    resetEventAction(): void;
    /**
     * @stability stable
     */
    get eventActionInput(): cdktf.IResolvable | ServiceEventRuleActionsEventAction[] | undefined;
    private _extractions?;
    /**
     * @stability stable
     */
    get extractions(): ServiceEventRuleActionsExtractions[] | cdktf.IResolvable;
    /**
     * @stability stable
     */
    set extractions(value: ServiceEventRuleActionsExtractions[] | cdktf.IResolvable);
    /**
     * @stability stable
     */
    resetExtractions(): void;
    /**
     * @stability stable
     */
    get extractionsInput(): cdktf.IResolvable | ServiceEventRuleActionsExtractions[] | undefined;
    private _priority?;
    /**
     * @stability stable
     */
    get priority(): ServiceEventRuleActionsPriority[] | cdktf.IResolvable;
    /**
     * @stability stable
     */
    set priority(value: ServiceEventRuleActionsPriority[] | cdktf.IResolvable);
    /**
     * @stability stable
     */
    resetPriority(): void;
    /**
     * @stability stable
     */
    get priorityInput(): cdktf.IResolvable | ServiceEventRuleActionsPriority[] | undefined;
    private _severity?;
    /**
     * @stability stable
     */
    get severity(): ServiceEventRuleActionsSeverity[] | cdktf.IResolvable;
    /**
     * @stability stable
     */
    set severity(value: ServiceEventRuleActionsSeverity[] | cdktf.IResolvable);
    /**
     * @stability stable
     */
    resetSeverity(): void;
    /**
     * @stability stable
     */
    get severityInput(): cdktf.IResolvable | ServiceEventRuleActionsSeverity[] | undefined;
    private _suppress?;
    /**
     * @stability stable
     */
    get suppress(): ServiceEventRuleActionsSuppress[] | cdktf.IResolvable;
    /**
     * @stability stable
     */
    set suppress(value: ServiceEventRuleActionsSuppress[] | cdktf.IResolvable);
    /**
     * @stability stable
     */
    resetSuppress(): void;
    /**
     * @stability stable
     */
    get suppressInput(): cdktf.IResolvable | ServiceEventRuleActionsSuppress[] | undefined;
    private _suspend?;
    /**
     * @stability stable
     */
    get suspend(): ServiceEventRuleActionsSuspend[] | cdktf.IResolvable;
    /**
     * @stability stable
     */
    set suspend(value: ServiceEventRuleActionsSuspend[] | cdktf.IResolvable);
    /**
     * @stability stable
     */
    resetSuspend(): void;
    /**
     * @stability stable
     */
    get suspendInput(): cdktf.IResolvable | ServiceEventRuleActionsSuspend[] | undefined;
}
/**
 * @stability stable
 */
export interface ServiceEventRuleConditionsSubconditionsParameter {
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/pagerduty/r/service_event_rule#path ServiceEventRule#path}.
     *
     * @stability stable
     */
    readonly path?: string;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/pagerduty/r/service_event_rule#value ServiceEventRule#value}.
     *
     * @stability stable
     */
    readonly value?: string;
}
export declare function serviceEventRuleConditionsSubconditionsParameterToTerraform(struct?: ServiceEventRuleConditionsSubconditionsParameter | cdktf.IResolvable): any;
/**
 * @stability stable
 */
export interface ServiceEventRuleConditionsSubconditions {
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/pagerduty/r/service_event_rule#operator ServiceEventRule#operator}.
     *
     * @stability stable
     */
    readonly operator?: string;
    /**
     * parameter block.
     *
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/pagerduty/r/service_event_rule#parameter ServiceEventRule#parameter}
     *
     * @stability stable
     */
    readonly parameter?: ServiceEventRuleConditionsSubconditionsParameter[] | cdktf.IResolvable;
}
export declare function serviceEventRuleConditionsSubconditionsToTerraform(struct?: ServiceEventRuleConditionsSubconditions | cdktf.IResolvable): any;
/**
 * @stability stable
 */
export interface ServiceEventRuleConditions {
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/pagerduty/r/service_event_rule#operator ServiceEventRule#operator}.
     *
     * @stability stable
     */
    readonly operator?: string;
    /**
     * subconditions block.
     *
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/pagerduty/r/service_event_rule#subconditions ServiceEventRule#subconditions}
     *
     * @stability stable
     */
    readonly subconditions?: ServiceEventRuleConditionsSubconditions[] | cdktf.IResolvable;
}
export declare function serviceEventRuleConditionsToTerraform(struct?: ServiceEventRuleConditionsOutputReference | ServiceEventRuleConditions): any;
/**
 * @stability stable
 */
export declare class ServiceEventRuleConditionsOutputReference extends cdktf.ComplexObject {
    private isEmptyObject;
    /**
     * @param terraformResource The parent resource.
     * @param terraformAttribute The attribute on the parent resource this class is referencing.
     * @param isSingleItem True if this is a block, false if it's a list.
     * @stability stable
     */
    constructor(terraformResource: cdktf.IInterpolatingParent, terraformAttribute: string, isSingleItem: boolean);
    /**
     * @stability stable
     */
    get internalValue(): ServiceEventRuleConditions | undefined;
    /**
     * @stability stable
     */
    set internalValue(value: ServiceEventRuleConditions | undefined);
    private _operator?;
    /**
     * @stability stable
     */
    get operator(): string;
    /**
     * @stability stable
     */
    set operator(value: string);
    /**
     * @stability stable
     */
    resetOperator(): void;
    /**
     * @stability stable
     */
    get operatorInput(): string | undefined;
    private _subconditions?;
    /**
     * @stability stable
     */
    get subconditions(): ServiceEventRuleConditionsSubconditions[] | cdktf.IResolvable;
    /**
     * @stability stable
     */
    set subconditions(value: ServiceEventRuleConditionsSubconditions[] | cdktf.IResolvable);
    /**
     * @stability stable
     */
    resetSubconditions(): void;
    /**
     * @stability stable
     */
    get subconditionsInput(): cdktf.IResolvable | ServiceEventRuleConditionsSubconditions[] | undefined;
}
/**
 * @stability stable
 */
export interface ServiceEventRuleTimeFrameActiveBetween {
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/pagerduty/r/service_event_rule#end_time ServiceEventRule#end_time}.
     *
     * @stability stable
     */
    readonly endTime?: number;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/pagerduty/r/service_event_rule#start_time ServiceEventRule#start_time}.
     *
     * @stability stable
     */
    readonly startTime?: number;
}
export declare function serviceEventRuleTimeFrameActiveBetweenToTerraform(struct?: ServiceEventRuleTimeFrameActiveBetween | cdktf.IResolvable): any;
/**
 * @stability stable
 */
export interface ServiceEventRuleTimeFrameScheduledWeekly {
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/pagerduty/r/service_event_rule#duration ServiceEventRule#duration}.
     *
     * @stability stable
     */
    readonly duration?: number;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/pagerduty/r/service_event_rule#start_time ServiceEventRule#start_time}.
     *
     * @stability stable
     */
    readonly startTime?: number;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/pagerduty/r/service_event_rule#timezone ServiceEventRule#timezone}.
     *
     * @stability stable
     */
    readonly timezone?: string;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/pagerduty/r/service_event_rule#weekdays ServiceEventRule#weekdays}.
     *
     * @stability stable
     */
    readonly weekdays?: number[];
}
export declare function serviceEventRuleTimeFrameScheduledWeeklyToTerraform(struct?: ServiceEventRuleTimeFrameScheduledWeekly | cdktf.IResolvable): any;
/**
 * @stability stable
 */
export interface ServiceEventRuleTimeFrame {
    /**
     * active_between block.
     *
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/pagerduty/r/service_event_rule#active_between ServiceEventRule#active_between}
     *
     * @stability stable
     */
    readonly activeBetween?: ServiceEventRuleTimeFrameActiveBetween[] | cdktf.IResolvable;
    /**
     * scheduled_weekly block.
     *
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/pagerduty/r/service_event_rule#scheduled_weekly ServiceEventRule#scheduled_weekly}
     *
     * @stability stable
     */
    readonly scheduledWeekly?: ServiceEventRuleTimeFrameScheduledWeekly[] | cdktf.IResolvable;
}
export declare function serviceEventRuleTimeFrameToTerraform(struct?: ServiceEventRuleTimeFrameOutputReference | ServiceEventRuleTimeFrame): any;
/**
 * @stability stable
 */
export declare class ServiceEventRuleTimeFrameOutputReference extends cdktf.ComplexObject {
    private isEmptyObject;
    /**
     * @param terraformResource The parent resource.
     * @param terraformAttribute The attribute on the parent resource this class is referencing.
     * @param isSingleItem True if this is a block, false if it's a list.
     * @stability stable
     */
    constructor(terraformResource: cdktf.IInterpolatingParent, terraformAttribute: string, isSingleItem: boolean);
    /**
     * @stability stable
     */
    get internalValue(): ServiceEventRuleTimeFrame | undefined;
    /**
     * @stability stable
     */
    set internalValue(value: ServiceEventRuleTimeFrame | undefined);
    private _activeBetween?;
    /**
     * @stability stable
     */
    get activeBetween(): ServiceEventRuleTimeFrameActiveBetween[] | cdktf.IResolvable;
    /**
     * @stability stable
     */
    set activeBetween(value: ServiceEventRuleTimeFrameActiveBetween[] | cdktf.IResolvable);
    /**
     * @stability stable
     */
    resetActiveBetween(): void;
    /**
     * @stability stable
     */
    get activeBetweenInput(): cdktf.IResolvable | ServiceEventRuleTimeFrameActiveBetween[] | undefined;
    private _scheduledWeekly?;
    /**
     * @stability stable
     */
    get scheduledWeekly(): ServiceEventRuleTimeFrameScheduledWeekly[] | cdktf.IResolvable;
    /**
     * @stability stable
     */
    set scheduledWeekly(value: ServiceEventRuleTimeFrameScheduledWeekly[] | cdktf.IResolvable);
    /**
     * @stability stable
     */
    resetScheduledWeekly(): void;
    /**
     * @stability stable
     */
    get scheduledWeeklyInput(): cdktf.IResolvable | ServiceEventRuleTimeFrameScheduledWeekly[] | undefined;
}
/**
 * @stability stable
 */
export interface ServiceEventRuleVariableParameters {
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/pagerduty/r/service_event_rule#path ServiceEventRule#path}.
     *
     * @stability stable
     */
    readonly path?: string;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/pagerduty/r/service_event_rule#value ServiceEventRule#value}.
     *
     * @stability stable
     */
    readonly value?: string;
}
export declare function serviceEventRuleVariableParametersToTerraform(struct?: ServiceEventRuleVariableParameters | cdktf.IResolvable): any;
/**
 * @stability stable
 */
export interface ServiceEventRuleVariable {
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/pagerduty/r/service_event_rule#name ServiceEventRule#name}.
     *
     * @stability stable
     */
    readonly name?: string;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/pagerduty/r/service_event_rule#type ServiceEventRule#type}.
     *
     * @stability stable
     */
    readonly type?: string;
    /**
     * parameters block.
     *
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/pagerduty/r/service_event_rule#parameters ServiceEventRule#parameters}
     *
     * @stability stable
     */
    readonly parameters?: ServiceEventRuleVariableParameters[] | cdktf.IResolvable;
}
export declare function serviceEventRuleVariableToTerraform(struct?: ServiceEventRuleVariable | cdktf.IResolvable): any;
/**
 * Represents a {@link https://www.terraform.io/docs/providers/pagerduty/r/service_event_rule pagerduty_service_event_rule}.
 *
 * @stability stable
 */
export declare class ServiceEventRule extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    static readonly tfResourceType: string;
    /**
     * Create a new {@link https://www.terraform.io/docs/providers/pagerduty/r/service_event_rule pagerduty_service_event_rule} Resource.
     *
     * @param scope The scope in which to define this construct.
     * @param id The scoped construct ID.
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: ServiceEventRuleConfig);
    private _disabled?;
    /**
     * @stability stable
     */
    get disabled(): boolean | cdktf.IResolvable;
    /**
     * @stability stable
     */
    set disabled(value: boolean | cdktf.IResolvable);
    /**
     * @stability stable
     */
    resetDisabled(): void;
    /**
     * @stability stable
     */
    get disabledInput(): boolean | cdktf.IResolvable | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _position?;
    /**
     * @stability stable
     */
    get position(): number;
    /**
     * @stability stable
     */
    set position(value: number);
    /**
     * @stability stable
     */
    resetPosition(): void;
    /**
     * @stability stable
     */
    get positionInput(): number | undefined;
    private _service?;
    /**
     * @stability stable
     */
    get service(): string;
    /**
     * @stability stable
     */
    set service(value: string);
    /**
     * @stability stable
     */
    get serviceInput(): string | undefined;
    private _actions;
    /**
     * @stability stable
     */
    get actions(): ServiceEventRuleActionsOutputReference;
    /**
     * @stability stable
     */
    putActions(value: ServiceEventRuleActions): void;
    /**
     * @stability stable
     */
    resetActions(): void;
    /**
     * @stability stable
     */
    get actionsInput(): ServiceEventRuleActions | undefined;
    private _conditions;
    /**
     * @stability stable
     */
    get conditions(): ServiceEventRuleConditionsOutputReference;
    /**
     * @stability stable
     */
    putConditions(value: ServiceEventRuleConditions): void;
    /**
     * @stability stable
     */
    resetConditions(): void;
    /**
     * @stability stable
     */
    get conditionsInput(): ServiceEventRuleConditions | undefined;
    private _timeFrame;
    /**
     * @stability stable
     */
    get timeFrame(): ServiceEventRuleTimeFrameOutputReference;
    /**
     * @stability stable
     */
    putTimeFrame(value: ServiceEventRuleTimeFrame): void;
    /**
     * @stability stable
     */
    resetTimeFrame(): void;
    /**
     * @stability stable
     */
    get timeFrameInput(): ServiceEventRuleTimeFrame | undefined;
    private _variable?;
    /**
     * @stability stable
     */
    get variable(): ServiceEventRuleVariable[] | cdktf.IResolvable;
    /**
     * @stability stable
     */
    set variable(value: ServiceEventRuleVariable[] | cdktf.IResolvable);
    /**
     * @stability stable
     */
    resetVariable(): void;
    /**
     * @stability stable
     */
    get variableInput(): cdktf.IResolvable | ServiceEventRuleVariable[] | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
